<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;




function cm_firsttimeform () {
  global $cm_text, $cm_docpath;
  global $cm_title, $cm_path, $cm_comment, $row1;
  global $user_kurz, $user_group, $timezone, $groups, $langua;
  $cm_pub_date = date("Y-m-d H:i:s", mktime(date("H")+$timezone,date("i"),date("s"),date("m"),date("d"),date("Y")));
  echo "<form action=\"usercomment.php\" method=\"post\">";
  $result3 = db_query("select kurz, vorname, nachname from users where kurz = '$user_kurz'") or db_die();
  $row3 = db_fetch_row($result3);
  echo "<strong>{$cm_text["commentfrom"]}:</strong> " . htmlentities ($row3[1] . " " . $row3[2]) . "<br>
  <input type=\"hidden\" name=\"cm_uauthor\" value=\"$user_kurz\">";
  echo "<strong>{$cm_text["postedin"]}:</strong> $cm_pub_date<br>
  <input type=\"hidden\" name=\"cm_pub_date\" value=\"$cm_pub_date\">
  <input type=\"hidden\" name=\"cm_viewer_group\" value=\"$row1[1]\">
  <strong>{$cm_text["title"]}:</strong><br>
  <input type=\"text\" name=\"cm_title\" size=\"40\" maxlength=\"255\" value=\"$cm_title\"><br>
  <input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">
  <strong>{$cm_text["comment"]}:</strong> ({$cm_text["dontusehtml"]} <a href=\"$cm_docpath/$langua.edithelp.php\" target=\"_blank\">{$cm_text["awmvariant"]}</a>).<br>
  <textarea cols=\"100\" rows=\"10\" name=\"cm_comment\">$cm_comment</textarea><br>
  <input type=\"submit\" name=\"cm_post\" value=\"{$cm_text["postcomment"]}\">
  </form>\n
  ";
}




if ($cm_path) {
  if ($cm_confirmedpost) {
    if (fcm_or_authorize ($user_kurz, $cm_viewer_group, $cm_path, false, false, true)) {
      if ($cm_title) {
        $cm_title = htmlentities ($cm_title);
      }
      else {
        $cm_title = htmlentities ($cm_text["untitled"]);
      }
      if ($cm_comment) {
        $cm_comment = htmlentities ($cm_comment);
      }
      else {
        $cm_comment = htmlentities ($cm_text["emptycomment"]);
      }
      $cm_pub_date = date("Y-m-d H:i:s", mktime(date("H")+$timezone,date("i"),date("s"),date("m"),date("d"),date("Y")));
      $result2 = db_query("insert into cmcomments3 values($dbIDnull,'p','$cm_path','$cm_title','$user_kurz','$cm_pub_date','$cm_comment')") or db_die();
      if ($cm_resethits_aftercomment) {
        fcm_reset_updatedvisit ($cm_path);
      }
      fcm_title_nav ($cm_path, false, fcm_user_is_admin ($user_kurz), fcm_user_is_owner ($user_kurz, $cm_path), $user_kurz, true);
      fcm_message ($cm_text["postedcomment"], CM_MSGSTYLE_INFORMATION);
    }
    else {
      fcm_title_nav ("", false, false, false, "", false);
      fcm_message ($cm_text["needaccesstopost"], CM_MSGSTYLE_WARNING);
    }
  }
  elseif ($cm_post) {
    fcm_message ("{$cm_text["confirmpostingon"]} $cm_path. {$cm_text["oncepostedcantdel"]}", CM_MSGSTYLE_QUESTION);
    echo "
    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td>\n
    <form action=\"usercomment.php\" method=\"post\">\n
    <input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">\n
    <input type=\"hidden\" name=\"cm_uauthor\" value=\"$user_kurz\">
    <input type=\"hidden\" name=\"cm_pub_date\" value=\"$cm_pub_date\">
    <input type=\"hidden\" name=\"cm_viewer_group\" value=\"$cm_viewer_group\">
    <input type=\"hidden\" name=\"cm_title\" value=\"$cm_title\"><br>
    <textarea cols=\"100\" rows=\"10\" name=\"cm_comment\">$cm_comment</textarea><br>
    <input type=\"submit\" name=\"cm_confirmedpost\" value=\"{$cm_text["postcomment"]}\">\n
    <input type=\"submit\" name=\"cm_canceledpost\" value=\"{$cm_text["cancelposting"]}\">\n
    </form>\n
    </td></tr></table>\n
    ";
  }
  elseif ($cm_canceledpost) {
    fcm_title_nav ($cm_path, true, fcm_user_is_admin ($user_kurz), fcm_user_is_owner ($user_kurz, $cm_path), $user_kurz, true);
    fcm_message ($cm_text["canceledposting"], CM_MSGSTYLE_INFORMATION);
  }
  else {
    $result1 = db_query("select cmdb_directory, cmdb_viewer_group from content3 where cmdb_directory = '$cm_path'") or db_die();
    $row1 = db_fetch_row($result1);
    if ($row1[0]) {
      if (fcm_or_authorize ($user_kurz, $row1[1], $cm_path, false, false, true)) {
        fcm_title_nav ($cm_path, false, false, false, $user_kurz, false);
        fcm_message ("{$cm_text["writingcommenton"]} $cm_path.", CM_MSGSTYLE_INFORMATION);
        cm_firsttimeform ();
      }
      else {
        fcm_title_nav ($cm_path, false, false, false, $user_kurz, false);
        fcm_message ($cm_text["needaccesstopost"], CM_MSGSTYLE_WARNING);
      }
    }
    else {
      fcm_title_nav ("", false, false, false, "", false);
      fcm_message ($cm_text["dirnotfound"], CM_MSGSTYLE_ERROR);
    }
  }
}
else {
  fcm_title_nav ("", false, false, false, "", false);
  fcm_message ($cm_text["dirnotfound"], CM_MSGSTYLE_ERROR);
}


echo $cm_html_footer;
?>

